<?
define('PROTECTOR', 1);

$headmod = 'main';//фикс. места

$textl='Меню';

include('include/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');

switch($_GET[mod]){

default:
//////////
$taim = 150;
$date = time();
$timeout = $date - $taim;
$online = mysql_num_rows(mysql_query("SELECT * FROM online WHERE laikas > '$timeout'"));
////////////////
$q = mysql_query("SELECT COUNT(*) FROM `msg_r` WHERE `user_to` = '$log' AND `read` = '1';");
$new_mail = mysql_result($q, 0);
$w = mysql_query("SELECT COUNT(*) FROM `msg_r` WHERE `user_to` = '$log';");
$old_mail = mysql_result($w, 0);
//////////////
$asd = mysql_query("SELECT time FROM news ORDER BY id DESC LIMIT 1");
$news = mysql_fetch_array($asd);
//////////////
$req = mysql_query("SELECT * FROM `invite` WHERE `usr` = '$log'");
////////////////////////////
$inv=mysql_num_rows($req);
///////////////////
$chat= mysql_num_rows(mysql_query("SELECT * FROM komentarai"));
//////////////
if($udata[prava]>=2){
echo'<b>Управление</b><br/>';
if($udata[prava]>=4){
echo'<img src="pic/main/truba.gif" alt="*"/> <a href="adm_panel.php?"><b>Админ-панель</b></a><br/>';
}
if($udata[prava]==2 or $udata[prava]==5){
echo'<img src="pic/main/truba.gif" alt="*"/> <a href="mod_panel.php?"><b>Модер-панель</b></a><br/>';
}
}
echo'<b>Информация</b><br/>
<img src="pic/main/truba.gif" alt="*"/> <a href="news.php?">Новости</a> ['.$news[time].']<br/>';
echo'<img src="pic/main/online.gif" alt="*"/> <a href="online.php?">Игроки онлайн</a><br/>';
echo'<img src="pic/main/slava.gif" alt="*"/> <a href="rating.php?">Зал Славы</a><br/>';
echo'<img src="pic/main/pero.gif" alt="*"/> <a href="library.php?">Библиотека</a><br/>';
echo'<img src="pic/main/slava.gif" alt="*"/> <a href="main.php?mod=adm">Администрация</a><br/>';


echo"<b>Общение</b><br/>
<img src='pic/main/pero.gif' alt='*'/> <a href=\"chat.php?\">Чат</a> ($chat)<br/>
<img src='pic/main/truba.gif' alt='*'/> <a href=\"forum\">Форум</a><br/>";
echo"<img src='pic/main/pero.gif' alt='*'/> <a href=\"msg.php?\">Почта</a> [$new_mail/$old_mail]<br/>";

echo"<b>Персонаж</b><br/>";
echo"<img src='pic/main/glaz.gif' alt='*'/> <a href=\"pers.php?\">Персонаж</a><br/>";
echo"<img src='pic/main/pero.gif' alt='*'/> <a href=\"main.php?mod=inv\">Приглашения</a> ($inv)<br/>";
echo"<img src='pic/main/pero.gif' alt='*'/> <a href=\"main.php?mod=quests\">Квесты</a><br/>";
echo"<img src='pic/main/truba.gif' alt='*'/> <a href=\"main.php?mod=ref\"><b>Пригласи друзей</b></a><br/>";

$time=time();
$req = mysql_query("SELECT * FROM `ban` WHERE `ban_time`>'$time'");
////////////////////////////
$banners=mysql_num_rows($req);

echo"<b>Разное</b><br/>";
echo"<img src='pic/main/find.gif' alt='*'/> <a href=\"search.php?\">Поиск игроков</a><br/>";
echo"<img src='pic/main/xswords.gif' alt='*'/> <a href=\"zona.php?\">Тюрма</a> ($banners)<br/>";
echo"<img src='pic/main/glaz.gif' alt='*'/> <a href=\"main.php?mod=rules\">Правила</a><br/>";
echo"<img src='pic/main/redball.gif' alt='*'/> <a href=\"main.php?mod=exit\">Выход</a>";
break;

case 'ref':
echo'У вас есть возможность пригласить своих друзей и получить за это вознаграждение!<br/>
Когда ваш друг достигает 5 уровня вы получаете 250 монет и 250 опыта!<br/>
';
echo"<b>Ваша ссылка для приглашений: http://kollektiv.h2m.ru/reg.php?ref=$udata[id]</b><br/>";
echo"<a href=\"main.php?\">Назад</a>";
break;

case 'rules':
echo'<b>Правила для игроков (ЗАПРЕЩЕНО):</b><br/>
1) Применение ненормативной лексики, завуалированого мата, оскорбление в:<br/>
* чате;<br/>
* форуме;<br/>
* названии клана;<br/>
* нике персонажа;<br/>
* личных сообщениях;
<br/>2) Проявления религиозной, расовой, половой и прочей нетерпимости или дискриминации.
<br/>3) Разжигание конфликтов между участниками игры!
<br/>4) Преднамеренное многократное повторение сообщений, сообщения лишенные смысла (флуд).
<br/>5) Верхний регистр при общении.
<br/>6) Расспостранение ссылок на посторонние ресурсы, реклама посторонних интернет - ресурсов, как прямая так и косвенная!
<br/>7) Нечестная прокачка игрового персонажа, использование сторонних програмных средств для улучшения/автоматизации игровых возможностей!
Использование недочетов игры, багов, програмных ошибок, расспостранение их другим лицам/продажа за деньги.
<br/>P. S. При нахождении таковых немедленно сообщите Администрации, за что можете получить вознаграждение.
<br/>8) Продажа персонажа, игровых денег, вещей и прочего, что касается игры, за реальные деньги, равно как и попытка совершить одно из данных действий, в обход Администрации!
<br/>9) Намеренная регистрация персонажей с никами - плагиатами ников Администрации/модераторов, с никами несущими рекламу посторонних интернет- ресурсов.
Использование приставок Admin, GM, в имени персонажа, названии клана, звании персонаажа!
<br/>10) Обман/ввод в заблуждение/дача ложных показаний/отказ в сотрудничестве при разбирательстве/угрозы Администрации/модераторам!
<br/>11) Обсуждать, перечить действиям, оскорблять Администрацию/модераторов, игровой сервер!
<br/>12) После наказания нарушителя правил, заведомое создание персонажей, или уже существующими персонажами вести подальшие разборки.
<br/>13) Просьбы о назначении на должность модератора!
<br/>Вы обязуетесь выполнять рекомендации/замечания которые делает вам Администратор, модератор.<br/>
<b>Незнание правил не освобождает от ответственности!</b><br/>';
echo"<a href=\"main.php?\">Назад</a>";
break;

case 'adm':
echo '<b>Администрация игры</b><br/>';
echo'<div class="event" style="border:1px solid #CCCCCC;">';
// Супервайзоры
$req = mysql_query("SELECT * FROM `users` WHERE `prava` = '5'");
if (mysql_num_rows($req)) {
echo '<b>Главный администратор:</b><br/>';
$i=1;
While($res = mysql_fetch_array($req)){
echo"$i. <b><a href=\"search.php?nick=$res[usr]&amp;go=go\">$res[usr]</a></b><br/>";
$i++;
}
}
// Администраторы
$req = mysql_query("SELECT * FROM `users` WHERE `prava` = '4'");
if (mysql_num_rows($req)) {
echo '<b>Администраторы:</b><br/>';
$i=1;
While($res = mysql_fetch_array($req)){
echo"$i. <b><a href=\"search.php?nick=$res[usr]&amp;go=go\">$res[usr]</a></b><br/>";
$i++;
}
}else{
echo"Нет Администраторов<br/>";
}
// Старшие Модераторы
// Администраторы
$req = mysql_query("SELECT * FROM `users` WHERE `prava` = '3'");
if (mysql_num_rows($req)) {
echo '<b>Старшие Модераторы:</b><br/>';
$i=1;
While($res = mysql_fetch_array($req)){
echo"$i. <b><a href=\"search.php?nick=$res[usr]&amp;go=go\">$res[usr]</a></b><br/>";
$i++;
}
}else{
echo"Нет Старших Модераторов<br/>";
}
// Модераторы
$req = mysql_query("SELECT * FROM `users` WHERE `prava` = '2'");
if (mysql_num_rows($req)) {
echo '<b>Модераторы:</b><br/>';
$i=1;
While($res = mysql_fetch_array($req)){
echo"$i. <b><a href=\"search.php?nick=$res[usr]&amp;go=go\">$res[usr]</a></b><br/>";
$i++;
}
}else{
echo"Нет модераторов<br/>";
}
echo'</div>';
echo"<a href=\"main.php?\">Назад</a>";
break;
case 'inv':
$req = mysql_query("SELECT * FROM `invite` WHERE `usr` = '$log'");
////////////////////////////
$avto=mysql_num_rows($req);
if(empty($_GET[id])){
if($avto>=1){
While($inv = mysql_fetch_array($req))
{
$req = mysql_query("SELECT `name` FROM `clan` WHERE `lider` = '$inv[clan]'");
$clan = mysql_fetch_array($req);

echo"<a href=\"main.php?mod=inv&amp;id=$inv[id]\"><b>Приглашение от клана $clan[name]</b></a><br/>";
}
echo"<br/><b>Всего приглашений: $avto</b><br/>";
}else{
echo"<b>Нет приглашений!</b>";
}}else{
$req = mysql_query("SELECT * FROM `invite` WHERE `usr` = '$log' and `id`='$_GET[id]'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto=="0"){
echo'Нет такого приглашения!';
include"files/down.php";exit;
}
$inv = mysql_fetch_array($req);

$req = mysql_query("SELECT `name` FROM `clan` WHERE `lider` = '$inv[clan]'");
$clan = mysql_fetch_array($req);
if(empty($_GET[go])){
echo"Отправитель: <b>$clan[name]</b><br/>";
echo"Текст: $inv[text]<br/>";

echo"<a href=\"main.php?mod=inv&amp;id=$_GET[id]&amp;go=ok\">Принять</a><br/>";
echo"<a href=\"main.php?mod=inv&amp;id=$_GET[id]&amp;go=no\">Отказаться</a><br/>";
echo"<a href=\"main.php?mod=inv\">Назад</a>";
}else{
if($_GET[go]==ok){
if(!empty($udata[clan])){
echo'Вы уже находитесь в клане!';
include"files/down.php";exit;
}
mysql_query("DELETE FROM `invite` WHERE usr='$log' and `id`='$_GET[id]'");
mysql_query("UPDATE `users` SET `clan`='$inv[clan]' WHERE `usr` = '$log'");

echo"Приглашение принято.Вы вступили в клан $clan[name]!<br/>";

}elseif($_GET[go]==no){

mysql_query("DELETE FROM `invite` WHERE usr='$log' and `id`='$_GET[id]'");

echo"Приглашение отклонено.<br/>";
}else{
echo"Ошибка!<br/>";
}
echo"<a href=\"main.php?mod=inv\">Назад</a>";
}
}
break;
case 'quests':
if($_GET[act]==start){
$req = mysql_query("SELECT * FROM `userquests` WHERE `usr` = '$log' and `status`='start'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto=="0"){
echo'Нет квестов!';
include"files/down.php";exit;
}
if(empty($_GET[id])){
While($q = mysql_fetch_array($req))
{
$reqo = mysql_query("SELECT * FROM `quests` WHERE `id` = '$q[quest]'");
$quest = mysql_fetch_array($reqo);
echo"<a href=\"main.php?mod=quests&amp;act=start&amp;id=$q[id]\"><b>Квест $quest[name]</b></a><br/>";
}
}else{
$req = mysql_query("SELECT * FROM `userquests` WHERE `usr` = '$log' and `status`='start' and `id`='$_GET[id]'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto=="0"){
echo'Нет такого квеста!';
include"files/down.php";exit;
}
$q = mysql_fetch_array($req);
$req = mysql_query("SELECT * FROM `quests` WHERE `id` = '$q[quest]'");
$quest = mysql_fetch_array($req);
echo"<b>$quest[name]</b><br/>";
echo"<b>Задание:</b>$quest[mission]<br/>";
echo"Статус: [<b>Активен</b>]<br/>";
}

}elseif($_GET[act]==complete){
$req = mysql_query("SELECT * FROM `userquests` WHERE `usr` = '$log' and `status`='complete'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto=="0"){
echo'Нет квестов!';
include"files/down.php";exit;
}
if(empty($_GET[id])){
While($q = mysql_fetch_array($req))
{
$reqo = mysql_query("SELECT * FROM `quests` WHERE `id` = '$q[quest]'");
$quest = mysql_fetch_array($reqo);
echo"<a href=\"main.php?mod=quests&amp;act=complete&amp;id=$q[id]\"><b>Квест $quest[name]</b></a><br/>";
}
}else{
$req = mysql_query("SELECT * FROM `userquests` WHERE `usr` = '$log' and `status`='start' and `id`='$_GET[id]'");
////////////////////////////
$avto=mysql_num_rows($req);
if($avto=="0"){
echo'Нет такого квеста!';
include"files/down.php";exit;
}
$q = mysql_fetch_array($req);
$req = mysql_query("SELECT * FROM `quests` WHERE `id` = '$q[quest]'");
$quest = mysql_fetch_array($req);
echo"<b>$quest[name]</b><br/>";
echo"<b>Задание:</b>$quest[mission]<br/>";
echo"Статус: [<b>Завершён</b>]<br/>";
}
}else{
echo"<a href=\"main.php?mod=quests&amp;act=start\">Активные</a><br/>";
echo"<a href=\"main.php?mod=quests&amp;act=complete\">Завершёные</a><br/>";
}
echo"<a href=\"main.php?\">Назад</a>";
break;
case 'exit':
setcookie('log', '');
setcookie('pas', '');
session_destroy();
echo"Выход из игры совершён!<br/>";
echo"<a href=\"index.php?\">Продолжить</a></div>";
include"files/end.php";exit;
break;
}
include($path.'files/down.php');
?>